# IRsUVEditor Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | InitializeControl ([in] IRsNode *pViewNode)
HRESULT | Destroy ()
HRESULT | SetTool ([in] BSTR bszTool)
HRESULT | SetSelectionElement (BSTR bszElement)
HRESULT | GetCurrentTool ([out, retval] RtDWORD *pCurrentTool)
HRESULT | GetCurrentSelElement ([out, retval] RtDWORD *pCurrentSelElement)
HRESULT | UpdateRenderData ([in] RtDWORD dwFlags)
HRESULT | GetToolAndPrimitive ([out] UVEActiveTool *pdwCurrentTool,[out] UVESelectionPrimitive *pdwSelPrimitive)
HRESULT | RotationChanged ([in] RtFloat fDelta)
HRESULT | SelectionChanged ()
HRESULT | GetToolController ([out, retval] IRsToolController **ppToolController)

## Detailed Description

Internal object implementing UV editor logic and mouse input processing.

- Manages internal objects and rendering.

## Member Function Documentation

HRESULT IRsUVEditor::InitializeControl | ( | [in] IRsNode * | pViewNode | ) |

Initialization of view internals.

Parameters:

  | pViewNode | [in] Initialize view.

HRESULT IRsUVEditor::Destroy | ( |  | ) |

Cleanup of internal structures

HRESULT IRsUVEditor::SetTool | ( | [in] BSTR | bszTool | ) |

Sets current UVE tool. Valid values are:

- Rectangle
- Lasso
- Paint
- Dynapick
- Move
- Rotate
- Scale
- Brush
- Line
- EdgeFlip

Parameters:

  | bszTool | [in] Set flavor of UVE Tool.

HRESULT IRsUVEditor::SetSelectionElement | ( | BSTR | bszElement | ) |

Sets current selection element. Valid values are:

- Vertex
- Edge
- Triangle
- FaceTriangle
- Patch

Parameters:

  | bszElement | [in] Set flavor of selection element.

HRESULT IRsUVEditor::GetCurrentTool | ( | [out, retval] RtDWORD * | pCurrentTool | ) |

Returns current tool, one of UVET_XXX values.

Returns:
  pCurrentTool [out,retval] Current tool flavor returned.

HRESULT IRsUVEditor::GetCurrentSelElement | ( | [out, retval] RtDWORD * | pCurrentSelElement | ) |

Returns current selection element, one of UVEP_XXX.

Returns:
  pCurrentSelElement [out,retval] Return current selection element flavor.

HRESULT IRsUVEditor::UpdateRenderData | ( | [in] RtDWORD | dwFlags | ) |

Validates render data, called from master or command thread, particularly from CRnUVEditor :: UpdateRenderData.

Parameters:

  | dwFlags | [in] Validation flags, combination of UVVF_XXX.

HRESULT IRsUVEditor::GetToolAndPrimitive | ( | [out] UVEActiveTool * | pdwCurrentTool,
|  | [out] UVESelectionPrimitive * | pdwSelPrimitive |
| ) |  |  |

Returns currently selected UVE tool and selection primitive.

- Parameters can be null if particular value not needed.

Parameters:

  | pdwCurrentTool | [out] Return flavor of current UVE Tool.
  | pdwSelPrimitive | [out] Return flavor of current selection primitive.

HRESULT IRsUVEditor::RotationChanged | ( | [in] RtFloat | fDelta | ) |

Notification from selection transform change that selection rotation has been changed.

- It is forwarded to tool controller and info panel data provider.

Parameters:

  | fDelta | [in] Rotation change in radians.

HRESULT IRsUVEditor::SelectionChanged | ( |  | ) |

Notification from selection change tool that current selection has been changed.

- Forwarder to tool controller and info panel data provider.

HRESULT IRsUVEditor::GetToolController | ( | [out, retval] IRsToolController ** | ppToolController | ) |

Returns tool controller.

Returns:
  ppToolController [out,retval] Tool controller returned.